Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.driver.textui
Class Driver

    java.lang.Object
      com.sun.msv.driver.textui.Driver

public class Driver
extends java.lang.Object

command line Verifier.

Author:
  Kohsuke KAWAGUCHI

Field Summary
`static java.lang.String` | `ERR_LOAD_GRAMMAR`
`static java.lang.String` | `MSG_BAILOUT`
`static java.lang.String` | `MSG_DTDVALIDATION`
`static java.lang.String` | `MSG_FAILED_TO_IGNORE_EXTERNAL_DTD`
`static java.lang.String` | `MSG_INVALID`
`static java.lang.String` | `MSG_PARSER`
`static java.lang.String` | `MSG_PARSING_TIME`
`static java.lang.String` | `MSG_START_PARSING_GRAMMAR`
`static java.lang.String` | `MSG_UNRECOGNIZED_OPTION`
`static java.lang.String` | `MSG_USAGE`
`static java.lang.String` | `MSG_VALID`
`static java.lang.String` | `MSG_VALIDATING`
`static java.lang.String` | `MSG_VALIDATION_TIME`
`static java.lang.String` | `MSG_WARNING_FOUND`

Constructor Summary
`Driver()`

Method Summary
`static void` | `dumpRELAXGrammar(RELAXGrammar m)`
`static void` | `dumpRELAXModule(RELAXModule m)`
`static void` | `dumpTREX(TREXGrammar g)`
`static void` | `dumpXMLSchema(XMLSchemaGrammar g)`
`static void` | `dumpXMLSchema(XMLSchemaSchema s)`
`static java.lang.String` | `localize(java.lang.String prop)`
`static java.lang.String` | `localize(java.lang.String prop, java.lang.Object arg1)`
`static java.lang.String` | `localize(java.lang.String propertyName, java.lang.Object[] args)`
`static java.lang.String` | `localize(java.lang.String prop, java.lang.Object arg1, java.lang.Object arg2)`
`static void` | `main(java.lang.String[] args)`
`static int` | `run(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MSG_DTDVALIDATION

    public static final java.lang.String MSG_DTDVALIDATION

See Also:
  Constant Field Values

### MSG_PARSER

    public static final java.lang.String MSG_PARSER

See Also:
  Constant Field Values

### MSG_USAGE

    public static final java.lang.String MSG_USAGE

See Also:
  Constant Field Values

### MSG_UNRECOGNIZED_OPTION

    public static final java.lang.String MSG_UNRECOGNIZED_OPTION

See Also:
  Constant Field Values

### MSG_START_PARSING_GRAMMAR

    public static final java.lang.String MSG_START_PARSING_GRAMMAR

See Also:
  Constant Field Values

### MSG_PARSING_TIME

    public static final java.lang.String MSG_PARSING_TIME

See Also:
  Constant Field Values

### MSG_VALIDATING

    public static final java.lang.String MSG_VALIDATING

See Also:
  Constant Field Values

### MSG_VALIDATION_TIME

    public static final java.lang.String MSG_VALIDATION_TIME

See Also:
  Constant Field Values

### MSG_VALID

    public static final java.lang.String MSG_VALID

See Also:
  Constant Field Values

### MSG_INVALID

    public static final java.lang.String MSG_INVALID

See Also:
  Constant Field Values

### ERR_LOAD_GRAMMAR

    public static final java.lang.String ERR_LOAD_GRAMMAR

See Also:
  Constant Field Values

### MSG_BAILOUT

    public static final java.lang.String MSG_BAILOUT

See Also:
  Constant Field Values

### MSG_FAILED_TO_IGNORE_EXTERNAL_DTD

    public static final java.lang.String MSG_FAILED_TO_IGNORE_EXTERNAL_DTD

See Also:
  Constant Field Values

### MSG_WARNING_FOUND

    public static final java.lang.String MSG_WARNING_FOUND

See Also:
  Constant Field Values

Constructor Detail

### Driver

    public Driver()

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### run

    public static int run(java.lang.String[] args)
                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### dumpTREX

    public static void dumpTREX(TREXGrammar g)
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### dumpXMLSchema

    public static void dumpXMLSchema(XMLSchemaGrammar g)
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### dumpXMLSchema

    public static void dumpXMLSchema(XMLSchemaSchema s)
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### dumpRELAXModule

    public static void dumpRELAXModule(RELAXModule m)
                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### dumpRELAXGrammar

    public static void dumpRELAXGrammar(RELAXGrammar m)
                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### localize

    public static java.lang.String localize(java.lang.String propertyName,
                                            java.lang.Object[] args)

### localize

    public static java.lang.String localize(java.lang.String prop)

### localize

    public static java.lang.String localize(java.lang.String prop,
                                            java.lang.Object arg1)

### localize

    public static java.lang.String localize(java.lang.String prop,
                                            java.lang.Object arg1,
                                            java.lang.Object arg2)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD